<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.citygis.web.mapper.TabAccessConfigMapper">

    <select id="getTabAccessConfigList" resultType="com.citygis.web.domain.TabAccessConfig"
            parameterType="com.citygis.web.domain.TabAccessConfig">
        select
        "ID","SIX_IP","SIX_PORT","GATEWAY_IP","GATEWAY_PORT","OFFER_SYSTEM","RECEPTION_SYSTEM","DATA_DETAIL","RUN_TIME","STATUS","CREATE_BY","CREATE_TIME","UPDATE_BY","UPDATE_TIME","IS_DEL","IS_APPLY","USER_ID","DEPT_ID","DATA_MANNER"
        from "LIU_TONG_YI"."TAB_ACCESS_CONFIG" tac
        where tac.IS_DEL = 0
        <if test="sixPort != null">
            and tac.SIX_PORT = #{sixPort}
        </if>
        <if test="status != null">
            and tac.STATUS = #{status}
        </if>
        <if test = "ids != null">
            and ID in
            <foreach collection="ids" item="Id" open="(" separator="," close=")">
                #{Id}
            </foreach>
        </if>

        ${params.dataScope}
    </select>

</mapper>
